Package ghidra.util.database.spatial

# Enum Class AbstractConstraintsTree.VisitResult

java.lang.Object
java.lang.Enum<AbstractConstraintsTree.VisitResult>
ghidra.util.database.spatial.AbstractConstraintsTree.VisitResult

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractConstraintsTree.VisitResult>`, `Constable`

Enclosing class:
  `AbstractConstraintsTree<DS extends BoundedShape<NS>,DR extends DBTreeDataRecord<DS,NS,T>,NS extends BoundingShape<NS>,NR extends DBTreeNodeRecord<NS>,T,Q extends Query<DS,NS>>`

protected static enum AbstractConstraintsTree.VisitResult extends Enum<AbstractConstraintsTree.VisitResult>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASCEND`
  `DESCEND`
  `NEXT`
  `TERMINATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbstractConstraintsTree.VisitResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbstractConstraintsTree.VisitResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TERMINATE

    public static final AbstractConstraintsTree.VisitResult TERMINATE

  - ### NEXT

    public static final AbstractConstraintsTree.VisitResult NEXT

  - ### DESCEND

    public static final AbstractConstraintsTree.VisitResult DESCEND

  - ### ASCEND

    public static final AbstractConstraintsTree.VisitResult ASCEND

- ## Method Details

  - ### values

    public static AbstractConstraintsTree.VisitResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbstractConstraintsTree.VisitResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null